| Kea 3.0.2-git

command_interpreter.cc File Reference
`#include <config.h>`
`#include <exceptions/exceptions.h>`
`#include <cc/command_interpreter.h>`
`#include <cc/data.h>`
`#include <string>`
`#include <set>`
Include dependency graph for command_interpreter.cc:

Go to the source code of this file.

## Classes
class | Element
| The `Element` class represents a piece of data, used by the command channel and configuration parts. More...
class | JSONError
| A standard Data module exception that is thrown if a parse error is encountered when constructing an Element from a string. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::config

## Typedefs
typedef boost::shared_ptr< const Element > | ConstElementPtr
typedef boost::shared_ptr< Element > | ElementPtr

## Functions
std::string | isc::config::answerToText (const isc::data::ConstElementPtr &msg)
| Converts answer to printable text.
ConstElementPtr | isc::config::combineCommandsLists (const isc::data::ConstElementPtr &response1, const isc::data::ConstElementPtr &response2)
| Combines lists of commands carried in two responses.
ConstElementPtr | isc::config::createAnswer ()
| Creates a standard config/command level success answer message (i.e.
ConstElementPtr | isc::config::createAnswer (const int status_code, const isc::data::ConstElementPtr &arg)
| Creates a standard config/command level answer message (i.e.
ConstElementPtr | isc::config::createAnswer (const int status_code, const std::string &status, const isc::data::ConstElementPtr &arg)
| Creates a standard config/command level answer message.
ConstElementPtr | isc::config::createAnswer (const int status_code, const std::string &status_text)
| Creates a standard config/command level answer message (i.e.
ConstElementPtr | isc::config::createCommand (const std::string &command)
| Creates a standard command message with no argument (of the form { "command": "my_command" }).
ConstElementPtr | isc::config::createCommand (const std::string &command, const std::string &service)
| Creates a standard config/command command message with no argument and with the given service (of the form { "command": "my_command", "service": [ service ] }).
ConstElementPtr | isc::config::createCommand (const std::string &command, isc::data::ConstElementPtr arg)
| Creates a standard command message with the given argument (of the form { "command": "my_command", "arguments": arg }.
ConstElementPtr | isc::config::createCommand (const std::string &command, isc::data::ConstElementPtr arg, const std::string &service)
| Creates a standard config/command command message with the given argument and given service (of the form { "command": "my_command", "arguments": arg, "service": [ service ] }.
ConstElementPtr | isc::config::parseAnswer (int &status_code, const isc::data::ConstElementPtr &msg)
| Parses a standard config/command level answer and returns arguments or text status code.
ConstElementPtr | isc::config::parseAnswerText (int &rcode, const isc::data::ConstElementPtr &msg)
| Parses a standard config/command level answer and returns text status.
std::string | isc::config::parseCommand (isc::data::ConstElementPtr &arg, isc::data::ConstElementPtr command)
| Parses the given command into a string containing the actual command and an ElementPtr containing the optional argument.
std::string | isc::config::parseCommandWithArgs (isc::data::ConstElementPtr &arg, isc::data::ConstElementPtr command)
| Parses the given command into a string containing the command name and an ElementPtr containing the mandatory argument.

## Variables
const char * | isc::config::CONTROL_ARGUMENTS = "arguments"
| String used for arguments map ("arguments").
const char * | isc::config::CONTROL_COMMAND = "command"
| String used for commands ("command").
const char * | isc::config::CONTROL_REMOTE_ADDRESS = "remote-address"
| String used for remote address ("remote-address").
const char * | isc::config::CONTROL_RESULT = "result"
| String used for result, i.e. integer status ("result").
const char * | isc::config::CONTROL_SERVICE = "service"
| String used for service list ("service").
const char * | isc::config::CONTROL_TEXT = "text"
| String used for storing textual description ("text").

## Typedef Documentation

## ◆ ConstElementPtr

typedef boost::shared_ptr<const Element> isc::data::ConstElementPtr

Definition at line 29 of file data.h.

## ◆ ElementPtr

typedef boost::shared_ptr<Element> isc::data::ElementPtr

Definition at line 28 of file data.h.